;/*
; * usb_cdc_exec_funktions.inc
; *
; *  Created: 28.03.2016 18:11:39
; *   Author: Dominik Koch
;*/ 

.ifndef USB_CDC_EXEC_FUNKTIONS_INCLUDE
.set USB_CDC_EXEC_FUNKTIONS_INCLUDE = 1

CMD_ECHO: .db "echo",0x00,0x00
CMD_FUNCTION_ECHO:
PUSH R16
PUSH R17
PUSH R18
PUSH YL
PUSH YH
PUSH ZL
PUSH ZH	
	SBRS R0, 0
	RJMP EXEC_CMD_ECHO_END
	EXEC_CMD_ECHO:
		
		LDS R16, CMD_ARGS_COUNT
		INC R16
		LDS R17, CMD_ARGS_MAX
		CP R16, R17
		BRSH EXEC_CMD_ECHO_END
		
		LDI YL, LOW(CMD_STRUKT)
		LDI YH, HIGH(CMD_STRUKT)		
		CALL COMMAND_GET_ARGX ;Y = CMD_STRUKT_POINTER , R16 = COUNT

		LDS ZL, CMD_ARGX_POINTERL
		LDS ZH, CMD_ARGX_POINTERH
		LDI YL, LOW(CDC_OUT_BUFFER)
		LDI YH, HIGH(CDC_OUT_BUFFER)
		CALL COMMAND_COPY_RAM_TO_RAM ; Z = RAM_POINTER_FROM , Y = RAM_POINTER_TO, RETURN = R0 = SIZE 

		CLR R18
		CP  R0, R18
		BREQ EXEC_CMD_ECHO_END

		CLR R1
		ADD YL, R0
		ADC YH, R1
		
		LDI R18, 0x0D
		ST  Y+, R18
		LDI R18, 0x0A
		ST  Y+, R18
		LDI R18, 0x00
		ST  Y+, R18

		LDI R18, 0x02
		ADD R0, R18
		; Set Buffer Size
		STS CDC_OUT_BUFFER_COUNT, R0
		; Tx and Wait
		RCALL USB_CDC_TX_WAIT
	RJMP EXEC_CMD_ECHO
	EXEC_CMD_ECHO_END:
CMD_FUNCTION_ECHO_END:
POP ZH
POP ZL
POP YH
POP YL
POP R18
POP R17
POP R16
RET

.endif